Bug 1299843 - Review Request: nodejs-buffertools - Working with node.js buffers made easy
Review Request: nodejs-buffertools - Working with node.js buffers made easy
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks: nodejs-reviews 1273150
  Show dependency treegraph
 
Reported: 2016-01-19 06:43 EST by Jared Smith
Modified: 2016-02-25 07:41 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-25 07:41:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Jared Smith 2016-01-19 06:43:16 EST
Spec URL: https://jsmith.fedorapeople.org/Packaging/nodejs-buffertools/nodejs-buffertools.spec
SRPM URL: https://jsmith.fedorapeople.org/Packaging/nodejs-buffertools/nodejs-buffertools-2.1.3-2.fc24.src.rpm
Description: Working with node.js buffers made easy
Fedora Account System Username: jsmith
Comment 1 Jared Smith 2016-01-19 06:45:57 EST
Successful scratch build in f24-nodejs4 side tag is at http://koji.fedoraproject.org/koji/taskinfo?taskID=12604449
Comment 3 Upstream Release Monitoring 2016-01-19 07:15:39 EST
jsmith's scratch build of nodejs-buffertools-2.1.3-3.fc24.src.rpm for f24-nodejs4 failed http://koji.fedoraproject.org/koji/taskinfo?taskID=12605071
Comment 4 Upstream Release Monitoring 2016-01-19 08:34:07 EST
jsmith's scratch build of nodejs-buffertools-2.1.3-3.fc24.src.rpm for f24-nodejs4 failed http://koji.fedoraproject.org/koji/taskinfo?taskID=12606090
Comment 5 Upstream Release Monitoring 2016-01-19 08:59:03 EST
jsmith's scratch build of nodejs-buffertools-2.1.3-4.fc24.src.rpm for f24-nodejs4 completed http://koji.fedoraproject.org/koji/taskinfo?taskID=12606266
Comment 7 Jared Smith 2016-01-19 09:21:42 EST
Updated packages to add a patch to use the npm(bindings) module instead of hard-coding the path to the native code.

Spec URL: https://jsmith.fedorapeople.org/Packaging/nodejs-buffertools/nodejs-buffertools.spec
SRPM URL: https://jsmith.fedorapeople.org/Packaging/nodejs-buffertools/nodejs-buffertools-2.1.3-6.fc24.src.rpm

Starting a scratch build now...
Comment 8 Upstream Release Monitoring 2016-01-19 09:23:55 EST
jsmith's scratch build of nodejs-buffertools-2.1.3-6.fc24.src.rpm for f24-nodejs4 failed http://koji.fedoraproject.org/koji/taskinfo?taskID=12606554
Comment 9 Upstream Release Monitoring 2016-01-19 09:27:35 EST
jsmith's scratch build of nodejs-buffertools-2.1.3-6.fc24.src.rpm for f24-nodejs4 failed http://koji.fedoraproject.org/koji/taskinfo?taskID=12606583
Comment 10 Upstream Release Monitoring 2016-01-19 09:41:22 EST
jsmith's scratch build of nodejs-buffertools-2.1.3-7.fc24.src.rpm for f24-nodejs4 completed http://koji.fedoraproject.org/koji/taskinfo?taskID=12606706
Comment 11 Jared Smith 2016-01-19 09:42:06 EST
And finally, a build that works on ARM and with the npm(bindings) module.

Spec URL: https://jsmith.fedorapeople.org/Packaging/nodejs-buffertools/nodejs-buffertools.spec
SRPM URL: https://jsmith.fedorapeople.org/Packaging/nodejs-buffertools/nodejs-buffertools-2.1.3-7.fc24.src.rpm
Comment 12 Parag AN(पराग) 2016-01-19 09:52:41 EST
Review:

+ package builds fine in f24-nodejs4 tag which is going to get merged into f24 soon

+ Source verified with upstream as (sha256sum)
upstream source:1a650a9de86eb1e1e1930812efaa88ef408e67e3017426b6745f66a958f377f0  buffertools-2.1.3.tgz.1
srpm source: 1a650a9de86eb1e1e1930812efaa88ef408e67e3017426b6745f66a958f377f0  buffertools-2.1.3.tgz.1

+ License is "ISC" which is valid license and included in LICENSE file.

+ package follows nodejs packaging guidelines.

Suggestions:
1) "%install" line is missing which cause few rpmlint "rpm-buildroot-usage" warnings. Just add that line back.

APPROVED.
Comment 13 Gwyn Ciesla 2016-01-19 12:22:43 EST
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/nodejs-buffertools
Comment 14 Parag AN(पराग) 2016-02-24 23:29:04 EST
Any update here?

Note You need to log in before you can comment on or make changes to this bug.